#
# Spezial-Grlz - s + vids
#

cd $SONSTGRLZQ
echo ""
echo "durchsuche Quelle: $SONSTGRLZQ"
#echo ""
export zaehler=0
for art in Abrianna G! Pauline aa czek felicity karen morg pattycake sennat Chloe Maria SM dt katie ndn sym tt hazel meghan AlysonA
	do
	for svids in s vids
		do

		echo "doing $art/$svids ... Doks: `ls $SONSTGRLZQ/$art/$svids | grep -v Thumbs.db | wc -l`"

		ls $SONSTGRLZQ/$art/$svids | grep -v Thumbs.db | while read jpg
			do

			zaehler=`expr $zaehler + 1`

			if [ -e "$SONSTGRLZZ/$art/$svids/$jpg" ];
				then
				# DATEI SCHON VORHANDEN
				sum1=`cksum "$SONSTGRLZQ/$art/$svids/$jpg"|awk -F' ' '{print $1}'`
				sum2=`cksum "$SONSTGRLZZ/$art/$svids/$jpg"|awk -F' ' '{print $1}'`
				if [ "$sum1" = "$sum2" ];
					then
					# Datei identisch
					echo "$SONSTGRLZQ/$art/$svids/$jpg $SONSTGRLZZ/$art/$svids/$jpg " >> $SONSTGRLZZ/$art/doppelt.txt
					export jpgg="$jpg"
					export dummyz=$zaehler"+"
				else
					export dummyz=$zaehler"-"
					export jpgg=`echo $jpg | sed -e 's/\./_\./g' | sed -e 's/ //g'`
					while [ -e "$SONSTGRLZZ/$art/$svids/$jpgg" ];
						do
						export jpgg=`echo "$jpgg" | sed -e 's/\./_\./g' | sed -e 's/ //g'`
						done
					echo "$SONSTGRLZQ/$art/$svids/$jpg $SONSTGRLZZ/$art/$svids/$jpgg " >> $ZBASEC/$art/Name_geaendert.txt
				fi

				else
				# DATEI FRISCH UND NEU
				export dummyz=$zaehler
				export jpgg="$jpg"
			fi;


			echo -n "$dummyz "
			mv -f "$SONSTGRLZQ/$art/$svids/$jpg" "$SONSTGRLZZ/$art/$svids/$jpgg" 2>/dev/null
			done
		cd ..
		echo ""
		done
	echo ""
	done


